"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createCommitCommand = (deps) => {
    let { git, logger, formatter, linter, bus, compiler } = deps;
    return {
        execute: () => __awaiter(this, void 0, void 0, function* () {
            yield formatter.format();
            formatter.startVerifying('compile-compiled');
            linter.start('format-verified');
            bus.register('lint-linted', () => {
                compiler.stop();
                formatter.stopVerifying();
                linter.stop();
                git.execute(['add', '.']).then(() => {
                    git.execute(['commit', '--no-verify']).then(() => {
                        logger.log('commit', 'committed');
                        process.exit(0);
                    });
                }, (error) => logger.error('commit', error.toString()));
            });
        })
    };
};
//# sourceMappingURL=commit.js.map