import { Bus, EventType } from '../bus';
import { Configuration } from '../configuration';
import { Git } from '../git';
import { Logger } from '../logger';
import { TaskRunner } from '../taskrunner';
export interface Mocha {
    start(trigger: EventType): void;
    stop(): void;
}
/**
 * The messages that are sent to mocha-process
 */
export interface MochaCommand {
    testFiles: string[];
}
export interface MochaResponse {
    testResult?: {
        title: string;
        fileName: string;
        error?: string;
        stack?: string;
    };
    finished?: {
        success: boolean;
    };
}
export declare let createMocha: (dependencies: {
    taskRunner: TaskRunner;
    logger: Logger;
    bus: Bus;
    git: Git;
    configuration: Configuration;
}) => {
    start: (trigger: EventType) => void;
    stop: () => void;
};
